Subject: Offline Message from Jackie: I am trying to purchase the EB7 plus electric bi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 05 Jul 2022 03:07:48 -0000

From: Jackie <[email-masked]>
Phone: 4074085732
Location: Los Angeles, United States
URL: https://swagtron.com/parts-accessories/replacement-chargers/
Department: SwagTron

I am trying to purchase the EB7 plus electric bike, but I cannot add it to the cart because is asking me to add  “some product options” what it is this? Does not the bike come with all the necessary parts to assemble it? Does it come with battery and charger? Unfortunately this website it is not a friendly user, does not have any specifications nor details to know if any additional accessory needs to be purchased.  Please advise. 
Regards, 
Jacqueline Costa 

----
Zopim
https://www.zopim.com